Mac OSX 10.12 or later and you will require the Supported browsers: Google Chrome, Firefox, Safari, or Opera. We recommend using the latest version of your browser.